Effective December 3, NetApp adopts Microsoft’s Business-to-Customer (B2C) identity management to simplify and provide secure access to NetApp resources.
For accounts that did not pre-register (prior to Dec 3), access to your NetApp data may take up to 1 hour as your legacy NSS ID is synchronized to the new B2C identity.
To learn more, read the FAQ and watch the video.
Need assistance? Complete this form and select “Registration Issue” as the Feedback Category.

Software Development Kit (SDK) and API Discussions

NMSDK 9.4 vserver 1.140 API calls

JMKleijer

I've been using the ZExplore Developer Interface (ZEDI) since forever to figure out which API call to use with which parameters and to test it all.

 

Ever since NMSDK 9.4, it seems that this hasn't been updated properly.

From what I was told, the Ontapi version matched the ONTAP version, e.g.: Ontapi 1.120 matched ONTAP 9.2, Ontapi 1.130 matched 9.3

 

When you selected an Ontapi version, you could always choose between the Cluster commands or the Vserver commands of a particular Ontapi version but with Ontapi 1.140, you could only select the Cluster commands.

 

With NMSDK 9.5, this hasn't changed (Vserver commands for 9.4 still are not available) and I also don't see any Ontapi 1.150 commands. (Cluster or Vserver 9.5)

 

Am I to keep on using the Ontapi 1.130 for Vserver commands?

Or is there some other set of documents that I should be using to figure out which calls are available with which parameters?

 

Kind regards,

 

Jeroen Kleijer

2 REPLIES 2

gaurav_verma

I think 1.15 should work because if you look at code of NaServer.py you can see the function 

 

def set_vserver(self, vserver):
"""Sets the vserver name. This function is added for vserver-tunneling.
However, vserver tunneling actually uses vfiler-tunneling. Hence this
function internally sets the vfiler name.
"""

if(self.major_version >= 1 and self.minor_version >= 15):
self.vfiler = vserver
return 1

print("\nONTAPI version must be at least 1.15 to send API to a vserver\n")
return 0

JMKleijer

I think  the code written for 1.130 will work in 1.140 or 1.150 but there's no way to be sure to be honest.

Normally I could select the Vserver commands for a particular Ontapi version and then see what new API calls there were or if any API calls had been removed.

 

Since NMSDK 9.4, we no longer have that option where we can check which new functionality is available or we have lost.

 

It would be nice if The ZEplore Design Interface was updated properly again to reflect the API calls in ONTAP 9.4 and 9.5.

Announcements
NetApp on Discord Image

We're on Discord, are you?

Live Chat, Watch Parties, and More!

Explore Banner

Meet Explore, NetApp’s digital sales platform

Engage digitally throughout the sales process, from product discovery to configuration, and handle all your post-purchase needs.

NetApp Insights to Action
I2A Banner
Public